List datasets
GET
/v1/datasetsLists the authenticated owner's datasets, newest first.
Authorization
apiKey AuthorizationBearer <token>
API key shown once at creation and stored as a SHA-256 hash.
In: header
Query Parameters
cursor?string
Opaque cursor returned as nextCursor by the previous page.
limit?integer
Maximum datasets to return.
Range
1 <= value <= 100Default
20Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/datasets"{ "data": [ { "schemaVersion": 1, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "question": "string", "columns": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "label": "string", "ownership": "collected", "name": "string", "type": "string", "key": false, "description": "string" } ], "status": "draft", "schedule": "string", "rowCount": 0, "lastRun": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "queued", "completedAt": "2019-08-24T14:15:22Z" }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "nextCursor": "string"}